Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class TaskService

    java.lang.Object
      org.jbpm.task.service.TaskService

    public class TaskService

extends Object

Nested Class Summary
`static class` | `TaskService.ScheduledTaskDeadline`

Constructor Summary
`TaskService()` Default constructor needed for Spring
`TaskService(javax.persistence.EntityManagerFactory emf, SystemEventListener systemEventListener)` Constructor in which no EscalatedDeadlineHandler is given.
`TaskService(javax.persistence.EntityManagerFactory emf, SystemEventListener systemEventListener, EscalatedDeadlineHandler escalationHandler)` Default constructor

Method Summary
`void` | `addEventListener(TaskEventListener listener)`
`void` | `addUsersAndGroups(Map<String,User> users, Map<String,Group> groups)`
`TaskServiceSession` | `createSession()`
`TasksAdmin` | `createTaskAdmin()`
`TaskEventsAdmin` | `createTaskEventsAdmin()`
`static Object` | `eval(Reader reader)`
`static Object` | `eval(Reader reader, Map<String,Object> vars)`
`static Object` | `eval(String str, Map<String,Object> vars)`
`void` | `executeEscalatedDeadline(long taskId, long deadlineId)`
`List<OperationCommand>` | `getCommandsForOperation(Operation operation)`
`EventKeys` | `getEventKeys()`
`TaskEventSupport` | `getEventSupport()`
`static Map<String,Class<?>>` | `getInputs()`
`Map<Operation,List<OperationCommand>>` | `getOperations()`
`UserInfo` | `getUserinfo()`
`List<TaskEventListener>` | `getWorkingMemoryEventListeners()`
`void` | `initialize()` The method in which everything is initialized.
`void` | `removeEventListener(TaskEventListener listener)`
`void` | `schedule(TaskService.ScheduledTaskDeadline deadline, long delay)`
`void` | `setEscalatedDeadlineHandler(EscalatedDeadlineHandler escalatedDeadlineHandler)`
`void` | `setSystemEventListener(SystemEventListener systemEventListener)` Setter of the `SystemEventListener` field for Spring.
`void` | `setTaskSessionFactory(TaskSessionFactory taskSessionFactory)` Setter of the `TaskSessionFactory` field for Spring.
`void` | `setUserinfo(UserInfo userInfo)`
`static String` | `toString(Reader reader)`
`void` | `unschedule(long taskId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskService

    public TaskService(javax.persistence.EntityManagerFactory emf,
                       SystemEventListener systemEventListener)

  Constructor in which no EscalatedDeadlineHandler is given.

  Parameters:
    `emf` - the EntityManagerFactory
    `systemEventListener` - the Drools SystemEventListener

### TaskService

    public TaskService(javax.persistence.EntityManagerFactory emf,
                       SystemEventListener systemEventListener,
                       EscalatedDeadlineHandler escalationHandler)

  Default constructor

  Parameters:
    `emf` -
    `systemEventListener` -
    `escalationHandler` -

### TaskService

    public TaskService()

  Default constructor needed for Spring

Method Detail

### initialize

    public void initialize()

  The method in which everything is initialized. The constructor has been split into two methods in order to use Spring with human-task.

### setSystemEventListener

    public void setSystemEventListener(SystemEventListener systemEventListener)

  Setter of the `SystemEventListener` field for Spring.

  Parameters:
    `emf` - an `SystemEventListener` instance

### setTaskSessionFactory

    public void setTaskSessionFactory(TaskSessionFactory taskSessionFactory)

  Setter of the `TaskSessionFactory` field for Spring.

  Parameters:
    `emf` - an `TaskSessionFactory` instance

### createSession

    public TaskServiceSession createSession()

### createTaskAdmin

    public TasksAdmin createTaskAdmin()

### createTaskEventsAdmin

    public TaskEventsAdmin createTaskEventsAdmin()

### schedule

    public void schedule(TaskService.ScheduledTaskDeadline deadline,
                         long delay)

### unschedule

    public void unschedule(long taskId)

### getOperations

    public Map<Operation,List<OperationCommand>> getOperations()

### getCommandsForOperation

    public List<OperationCommand> getCommandsForOperation(Operation operation)

### getEventKeys

    public EventKeys getEventKeys()

### addEventListener

    public void addEventListener(TaskEventListener listener)

### removeEventListener

    public void removeEventListener(TaskEventListener listener)

### getWorkingMemoryEventListeners

    public List<TaskEventListener> getWorkingMemoryEventListeners()

### getEventSupport

    public TaskEventSupport getEventSupport()

### getUserinfo

    public UserInfo getUserinfo()

### setUserinfo

    public void setUserinfo(UserInfo userInfo)

### setEscalatedDeadlineHandler

    public void setEscalatedDeadlineHandler(EscalatedDeadlineHandler escalatedDeadlineHandler)

### executeEscalatedDeadline

    public void executeEscalatedDeadline(long taskId,
                                         long deadlineId)

### addUsersAndGroups

    public void addUsersAndGroups(Map<String,User> users,
                                  Map<String,Group> groups)

### toString

    public static String toString(Reader reader)
                           throws IOException

  Throws:
    `IOException`

### getInputs

    public static Map<String,Class<?>> getInputs()

### eval

    public static Object eval(Reader reader)

### eval

    public static Object eval(Reader reader,
                              Map<String,Object> vars)

### eval

    public static Object eval(String str,
                              Map<String,Object> vars)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.